Subject: Re: bug#64177: outline-minor-mode-highlight fails to activate for custom headings

From: uzibalqa <[email-masked]>
Date: Tue, 20 Jun 2023 20:06:23 +0000

------- Original Message -------
On Wednesday, June 21st, 2023 at 4:50 AM, Juri Linkov <[email-masked]> wrote:

> > I have done this and still showing failure upon 'override
> > 
> > (defvar elisp-hglevels
> > '( (";;; H1" . 1) (";;; H2" . 2) (";;; H3" . 3) (";;; H4" . 4)
> > (";;; H5" . 5) (";;; H6" . 6) (";;; H7" . 7) (";;; H8" . 8) ))
> > ...
> > ((eq major-mode 'emacs-lisp-mode)
> > ...
> > (outline-minor-mode 0)
> > (setq outline-minor-mode-highlight 'override)
> > (outlhg-regexp)
> > (outlhg-tyface)
> > (outline-minor-mode 1)
> 
> 
> Please also try:
> 
> (setq-local outline-level 'outline-level)
> 
> because 'emacs-lisp-mode' overrides the default value
> with own 'lisp-outline-level'.

Now that I have tried your suggestion, I can the the requested highlighting.

I see that the value of outline-level is lisp-outline-level.  Whereas with your change
it is outline-level.

In principle, shouldn't outline-level be directly determined by the level specified 
in outline-heading-alist ?  If emacs-lisp-mode sets outline-heading-alist itself
properly then any level information can be extracted from there.  Then the setup would
run more smoothly because it would be consistent with the way one would actually
customise it.